Layer File Reference
`#include <osg/Image>`
`#include <osg/Shape>`
`#include <osg/Array>`
`#include <osg/TransferFunction>`
`#include <osgTerrain/Locator>`
`#include <osgTerrain/ValidDataOperator>`

Go to the source code of this file.

## Classes

class | osgTerrain::Layer
class | osgTerrain::ImageLayer
class | osgTerrain::ContourLayer
class | osgTerrain::HeightFieldLayer
class | osgTerrain::ProxyLayer
class | osgTerrain::CompositeLayer
struct | osgTerrain::CompositeLayer::CompoundNameLayer
class | osgTerrain::SwitchLayer

## Namespaces

namespace | osgTerrain

## Macros

#define | OSGTERRAIN_LAYER 1
#define | MAXIMUM_NUMBER_OF_LEVELS 30

## Functions

OSGTERRAIN_EXPORT void | osgTerrain::extractSetNameAndFileName (const std::string &compoundstring, std::string &setname, std::string &filename)
OSGTERRAIN_EXPORT std::string | osgTerrain::createCompoundSetNameAndFileName (const std::string &setname, const std::string &filename)

## Macro Definition Documentation

## MAXIMUM_NUMBER_OF_LEVELS

#define MAXIMUM_NUMBER_OF_LEVELS 30

## OSGTERRAIN_LAYER

#define OSGTERRAIN_LAYER 1